/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\lightningshoes.cs
Lines of code: 56

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class lightningshoes : Shoes
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public lightningshoes() : base()
		{
			Name="Lightning Shoes";
			Hue=112;

				Attributes.CastSpeed=1;		
				Attributes.RegenMana=2;
			
				Resistances.Physical=5;
				Resistances.Fire=2;
				Resistances.Cold=5;
				Resistances.Poison=2;
				Resistances.Energy=10;			
		}
		
		//lightning shoes bolt effect!
		public override void OnAdded( object parent )
		{
			if ( parent is Mobile )
			{
			Mobile from = (Mobile)parent;
			from.BoltEffect( 0 );				
			}
		
		base.OnAdded( parent );
		}

		public lightningshoes( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			
			if(version==0)
			{

				Attributes.CastSpeed=1;		
				Attributes.RegenStam=0;
				Attributes.RegenMana=2;
			
				Resistances.Physical=5;
				Resistances.Fire=2;
				Resistances.Cold=5;
				Resistances.Poison=2;
				Resistances.Energy=10;
			}
		}
	}
	
}